﻿namespace DemoGraphQL.Server.Contracts
{
    using DemoGraphQL.Server.Entities;
    using System;
    using System.Collections.Generic;

    public interface IOwnerRepository
    {
        Owner CreateOwner(Owner owner);

        void DeleteOwner(Owner owner);

        IEnumerable<Owner> GetAll();

        Owner GetById(Guid id);

        Owner UpdateOwner(Owner dbOwner, Owner owner);
    }
}