﻿namespace DemoWebsocket.Server.Hubs
{
    using DemoWebsocket.Server.Models;
    using Microsoft.AspNetCore.SignalR;
    using System.Threading.Tasks;

    public class ChatHub : Hub
    {
        public async Task SendMessage(Chat chat)
        {
            await Clients.All.SendAsync("ReceiveMessage", chat);
        }
    }
}