---
sidebar_position: 4
title: Creation of the project
---

## Requirements

### Gitea repository

On Code#0, create a new repository for your project.

Clone this repository on your machine, this repository are used to save your next project on gitea.

### `.gitignore`

A special `.gitignore` is required for .Net projects.

Don't panic a multiple website give us the good file.

Example:  https://www.toptal.com/developers/gitignore/api/dotnetcore,visualstudio,visualstudiocode

Copy the content of the web page in the file `.gitignore` at the root directory of the repository.

## Create a new Blazor site

Open Visual Studio and select `Create a new Project`

![Create a new Blazor site](/img/creation-projet/creation-projet-01.png)

Search in the list of `Blazor Server` templates, select the project type and click `Next`.

![Create a new Blazor site](/img/creation-projet/creation-projet-02.png)

Fill in the information as well as the location of your project and click on `Next`.

![Create a new Blazor site](/img/creation-projet/creation-projet-03.png)

Leave the default options and click on `Create`.

![Create a new Blazor site](/img/creation-projet/creation-projet-04.png)

Congratulations, your site is now available.