---
sidebar_position: 4
title: Création du projet
---

## Conditions

### Référentiel Gitea

Sur Code#0, créez un nouveau référentiel pour votre projet.

Clonez ce dépôt sur votre machine, ce dépôt sert à sauvegarder votre prochain projet sur gitea.

### `.gitignore`

Un ".gitignore" spécial est requis pour les projets .Net.

Pas de panique de multiple site nous donne le bon fichier.

Exemple : https://www.toptal.com/developers/gitignore/api/dotnetcore,visualstudio,visualstudiocode

Copiez le contenu de la page Web dans le fichier `.gitignore` à la racine du répertoire du référentiel.

## Créer un nouveau site Blazor

Ouvrer Visual Studio et sélectionner `Create a new Project`

![Créer un nouveau site Blazor](/img/creation-projet/creation-projet-01.png)

Rechercher dans la liste des templates `Blazor Server`, sélectionner le type de projet et cliquer sur `Next`.

![Créer un nouveau site Blazor](/img/creation-projet/creation-projet-02.png)

Renseigner les informations ainsi que l'emplacement de votre projet et cliquer sur `Next`.

![Créer un nouveau site Blazor](/img/creation-projet/creation-projet-03.png)

Laisser les options par défaut et cliquer sur `Create`.

![Créer un nouveau site Blazor](/img/creation-projet/creation-projet-04.png)

Bravo, votre site est désormais disponible.