---
sidebar_position: 1
title: Notation
---

# Grille de notation

Attention cette grille de notation est donnée à titre indicatif et le barème peut changer 

## Rendu final attendu :

- Le projet sur le gitlab, la forge, github ... ( merci de m'inviter sur le projet s'il est privé)
- La documentation (de préférence dans un répertoire docs à la racine de votre projet)
- Un readme qui explique comment lancer le projet, quelle branche, n'oubliez pas d'expliquer les manipulations spécifiques et les données à créer

:::caution
Sans aucune indication de votre part la branche master/main sera pris en compte et le projet lancé par défaut.
:::

## Blazor Apps (*30 points*)

- Mise en place d'une page de visualisation des données avec pagination (*2 points*)
- Page d'ajout d'un élement avec validation (*2 point*)
- Page d'édition d'un élement avec validation (*2 point*)
- Supression d'un élement avec une confirmation (*2 point*)
- Composant complexe (*5 point*)
- Use API (Get / Insert / Update / Delete) (*3 point*)
- Utilisation IOC & DI (*4 point*)
- Localisation & Globalisation (au moins deux langues) (*1 point*)
- Utilisation de la configuration (*1 point*)
- Logs (*2 point*)
- Propreté du code (Vous pouvez vous servir de sonarqube) (*2 point*)
- IHM (Design global, placement des boutons, ...) (*2 point*)
- Emplacement du code (Pas de code dans les vues) (*2 point*)

## Pour aller plus loin (voir liste des bonus dans la partie déroulement) 

## Documentation (10 points)

- Le Readme (*2 points*) 
- Description du fonctionnement de la solution client (illustrutration au niveau du code) (*6 points*)
- Merge request (*2 points*)