---
sidebar_position: 15
title: Coder en live
---

## Qu’est ce que dotnet watch ?

`dotnet watch` est une fonction qui exécute les [commandes CLI de .NET Core](https://docs.microsoft.com/fr-fr/dotnet/core/tools/) à chaque changement d’un fichier source (En gros dès qu’on enregistre). 

De ce fait, la commande que nous allons associée sera `run` ! 

En somme, on va exécuter notre projet à chaque fois qu’on sauve notre travail.

```
dotnet watch run
```

Cette fonction permet de gagner du temps lors du développement d'application Blazor.


## Utilisation dans Visual Studio 2019

Vous pourrez directement ouvrir une fenêtre Powershell depuis le menu `View` -> `Terminal`.

Une fois dans le terminal, changer le répertoire courant par celui de votre application, là ou se trouve votre fichier `csproj`.

Executer la commande :

```
dotnet watch run
```

Votre navigateur s'ouvre avec votre application, maintenant retourner sur Visual Studio, à chaque nouvel sauvegarde votre site sera compilé et mis à jour dans votre navigateur.


## Utilisation dans Visual Studio 2022

Visual Studio 2022 supporte nativement le `Hot Reload` ce qui permet de ne pas à avoir à utiliser cette commande.