﻿namespace BlazorEventComponent.Components.Components
{
    using Microsoft.AspNetCore.Components;

    public partial class MyGoodComponent
    {
        private Engine _internalSelectedEngine = Engine.Ion;

        private Engine InternalSelectedEngine
        {
            get => _internalSelectedEngine;

            set
            {
                if (_internalSelectedEngine != value)
                {
                    _internalSelectedEngine = value;
                }

                OnInternalSelectedEngineChanged();
            }
        }

        private void OnInternalSelectedEngineChanged()
        {
            this.SelectedEngine?.Invoke(_internalSelectedEngine);
        }
        
        /// <summary>
        /// </summary>
        [Parameter]
        public Action<Engine> SelectedEngine { get; set; }
    }
}