---
sidebar_position: 3
title: Component Description
---

## Description

In order to better understand our complex component, we will first make a short description of its content and the behavior expected by it.

The purpose of this component is to allow us to test recipes, for this we must have on the left a table containing the list of elements available for our recipe.

On the right we have to find the locations that will contain our recipe elements, once our recipe is valid, a last element will be displayed under our locations with the result of the recipe.

A list below will contain all the actions performed by the user and will be managed in JavaScript.

## Mockup

For a better visualization of our component, a mockup can be made in order to better realize the final.

For this we can use the site https://wireframe.cc/.

The result of the mockup is:

![Mockup](/img/blazor-component/mockup.png)