---
sidebar_position: 4
title: Classes annexe du composant
---

Afin de faire fonctionner notre composant nous allons avoir besoin de plusieurs classes annexes.

En règle générale, les composants se trouve dans un dossier `Components`, nous allons donc faire de même est créer ce dossier.

Comme vu dans la description, nous devons tracer les actions utilisateurs, pour cela nous avons donc besoin d'une classe avec les informations à tracer.

```csharp title="Components/CraftingAction.cs"
public class CraftingAction
{
	public string Action { get; set; }
	public int Index { get; set; }
	public Item Item { get; set; }
}
```

Notre composant doit aussi accepter des recettes, nous allons donc créer une classe représentant une recette.

```csharp title="Components/CraftingRecipe.cs"
public class CraftingRecipe
{
	public Item Give { get; set; }
	public List<List<string>> Have { get; set; }
}
```